/***************************************************************************
 *   Copyright (C) 2007-2015 by Helge Kortendieck  alan@kasmithee.de       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include <iostream>
using namespace std;

#include <QApplication>
#include <QStringList>

#include "qpictopdf.h"

int main(int argc, char *argv[])
{
  QApplication app(argc, argv);
  QStringList slArgs = QApplication::arguments();  // get command line args
  int iArgs = slArgs.count();
  bool bT = false;
  bool bV = false;
  QString sD = "";

  if(iArgs > 1) {
    if(slArgs.at(1) == "-v" or slArgs.at(1) == "--version") {
      cout << "\n###  qpictopdf - Qt5 based picture to pdf converter\n"
              "###  Image handling by Magick++, C++ bindings from GraphicsMagick.\n"
	          "###  Version 0.9.91\n"
	          "###  Copyright (C) 2007-2016 by Helge Kortendieck, alan@kasmithee.de\n"
              "###  Released under GPL2 (or later) - enjoy" << endl;
    } else {
      cout << "\n###  qpictopdf help, valid command line arguments are:\n###\n"
              "###  -v/--version to show program version and exit\n###\n"
              "###  This program requires X11, Qt5 and ImageMagick's C++ bindings.\n"
              "###  Start the program without argument(s) and check the help file.\n" << endl;
      return 0;
    }
  }

  Qptp qp;
  qp.show();
  return app.exec();
}

